<?xml version="1.0" encoding="UTF-8" ?> 
<sch:schema xmlns:sch="http://purl.oclc.org/dsdl/schematron" schemaVersion="ISO19757-3"
    queryBinding="xslt">
    <sch:ns prefix="cit" uri="http://standards.iso.org/iso/19115/-3/cit/1.0"/>
    <sch:ns prefix="gcx" uri="http://standards.iso.org/iso/19115/-3/gcx/1.0"/>
    <sch:ns prefix="gex" uri="http://standards.iso.org/iso/19115/-3/gex/1.0"/>
    <sch:ns prefix="lan" uri="http://standards.iso.org/iso/19115/-3/lan/1.0"/>
    <sch:ns prefix="srv" uri="http://standards.iso.org/iso/19115/-3/srv/2.0"/>
    <sch:ns prefix="mas" uri="http://standards.iso.org/iso/19115/-3/mas/1.0"/>
    <sch:ns prefix="mcc" uri="http://standards.iso.org/iso/19115/-3/mcc/1.0"/>
    <sch:ns prefix="mco" uri="http://standards.iso.org/iso/19115/-3/mco/1.0"/>
    <sch:ns prefix="mda" uri="http://standards.iso.org/iso/19115/-3/mda/1.0"/>
    <sch:ns prefix="mdb" uri="http://standards.iso.org/iso/19115/-3/mdb/1.0"/>
    <sch:ns prefix="mds" uri="http://standards.iso.org/iso/19115/-3/mds/1.0"/>
    <sch:ns prefix="mdt" uri="http://standards.iso.org/iso/19115/-3/mdt/1.0"/>
    <sch:ns prefix="mex" uri="http://standards.iso.org/iso/19115/-3/mex/1.0"/>
    <sch:ns prefix="mmi" uri="http://standards.iso.org/iso/19115/-3/mmi/1.0"/>
    <sch:ns prefix="mmd" uri="http://standards.iso.org/iso/19115/-3/mmd/1.0"/>
    <sch:ns prefix="mpc" uri="http://standards.iso.org/iso/19115/-3/mpc/1.0"/>
    <sch:ns prefix="mrc" uri="http://standards.iso.org/iso/19115/-3/mrc/1.0"/>
    <sch:ns prefix="mrd" uri="http://standards.iso.org/iso/19115/-3/mrd/1.0"/>
    <sch:ns prefix="mri" uri="http://standards.iso.org/iso/19115/-3/mri/1.0"/>
    <sch:ns prefix="mrl" uri="http://standards.iso.org/iso/19115/-3/mrl/1.0"/>
    <sch:ns prefix="mrs" uri="http://standards.iso.org/iso/19115/-3/mrs/1.0"/>
    <sch:ns prefix="msr" uri="http://standards.iso.org/iso/19115/-3/msr/1.0"/>
    <sch:ns prefix="gco" uri="http://standards.iso.org/iso/19115/-3/gco/1.0"/>
    <sch:ns prefix="xlink" uri="http://www.w3.org/1999/xlink"/>
    <!-- Author: John.Kozimor@noaa.gov  -->
    <!-- Date: February 27, 2014  -->
    <!-- updated by Stephen Richard 2016-01-13-->
    <!-- update namespace URI, remove unused namespaces, update CI_Responsibility tests
    to include positionName, update some error notes.-->
    <!-- Common rules: These rules are applied to all EIP metadata records   -->
    <sch:pattern id="b2f3a061-0984-11e2-892e-0800200c9a66">
        <sch:title>Check for metadata language element</sch:title>
        <sch:rule context="/*/mdb:defaultLocale">
            <sch:assert test="./lan:PT_Locale/lan:language/lan:LanguageCode !=''">Add and/or
                populate metadata language element</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a062-0984-11e2-892e-0800200c9a66">
        <sch:title>Check for metadata characterSet element</sch:title>
        <sch:rule context="/*/mdb:defaultLocale">
            <sch:assert test="./lan:PT_Locale/lan:characterEncoding/lan:MD_CharacterSetCode !=''"
                >Add and/or populate metadata characterSet element</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="a2f3a063-0984-11e2-892e-0800200c9a66">
        <sch:title>Checks for metadata contact</sch:title>
        <sch:rule context="/*//mdb:contact">
            <sch:assert test="./cit:CI_Responsibility/cit:party">Add metadata contact
                element</sch:assert>
            <sch:assert
                test="(./cit:CI_Responsibility/cit:party/cit:CI_Organisation/cit:name/gco:CharacterString != '' or  ./cit:CI_Responsibility/cit:party/cit:CI_Individual/cit:name/gco:CharacterString != '' or 
./cit:CI_Responsibility/cit:party/cit:CI_Individual/cit:positionName/gco:CharacterString  != '') >= 1"
                >Add and/or populate CI_Organisation/name, CI_Individual/name, or CI_Individual/positionName element in metadata
                contact.</sch:assert>
            <sch:assert
                test="(./*//cit:contactInfo/cit:CI_Contact/cit:phone/cit:CI_Telephone/cit:number/gco:CharacterString != '' or ./*//cit:contactInfo/cit:CI_Contact/cit:address/cit:CI_Address/cit:electronicMailAddress/gco:CharacterString != '')"
                >Add and/or populate the phone or email element in metadata contact</sch:assert>
            <sch:assert
                test="(./cit:CI_Responsibility/cit:role/cit:CI_RoleCode !='' or ./cit:CI_Responsibility/cit:role[@gco:nilReason = 'missing' or @gco:nilReason = 'inapplicable' or @gco:nilReason = 'template' or @gco:nilReason = 'unknown' or @gco:nilReason = 'withheld'])"
                >Populate the role element in metadata contact or add attribute 'gco:nilReason' to
                the role element and populate with one of the following valid values: 'missing',
                'inapplicable', 'template', 'unknown', or 'withheld'</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="a0653ca0-1252-11e2-892e-0800200c9a66">
        <sch:title>Check that metadata creation/update date element exists and is
            populated</sch:title>
        <sch:rule context="/*/mdb:dateInfo">
            <sch:assert test="./cit:CI_Date/cit:date/gco:DateTime != ''">Add and/or populate
                metadata creation/update date element</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="a0653ca0-1253-11e2-892e-0800200c9a66">
        <sch:title>Check that metadata creation/update dateTypeCode is 'creation' or
            'revision'</sch:title>
        <sch:rule context="/*/mdb:dateInfo">
            <sch:assert
                test="./cit:CI_Date[cit:dateType/cit:CI_DateTypeCode='creation'] or ./cit:CI_Date[cit:dateType/cit:CI_DateTypeCode='revision']"
                >Set metadata date dateTypeCode to 'creation' if record is new. Set metadata date
                dateTypeCode to 'revision' if record is being updated. If updating, modify the
                DateTime element value to the current date and time.</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a060-0984-11e2-892e-0800200c9a66">
        <sch:title>Check for populated metadata identifier</sch:title>
        <sch:rule context="/*/mdb:metadataIdentifier">
            <sch:assert test="./mcc:MD_Identifier/mcc:code/gco:CharacterString != ''">Add and/or
                populate metadata Identifier element</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a064-0984-11e2-892e-0800200c9a66">
        <sch:title>Check for metadataProfile online reference to EIP profile v1.1 specification
            document</sch:title>
        <sch:rule context="/*">
            <sch:assert test="./mdb:metadataProfile/@xlink:href">Add xlink:href element to
                metadataStandard citation element</sch:assert>
            <sch:assert test="./mdb:metadataProfile/@xlink:href !=''">Populate the xlink:href
                attribute in metadataStandard citation element with url to EIP profile specification
                ('http://w3.energistics.org/energyml/profiles/EIP/v1.1/metadataStandard_citation.xml)'</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b7f3a064-0984-11e2-892e-0800200c9a66">
        <sch:title>Check for populated metadaStandard citation elements</sch:title>
        <sch:rule context="//mdb:metadataStandard/cit:CI_Citation">
            <sch:assert test="./cit:title/gco:CharacterString !=''">The metadataStandard
                title/CharacterString element should be 
                "ISO/TS 19115-3 Geographic information — Metadata — XML schema implementation for fundamental concepts"</sch:assert>
            <sch:assert test="./cit:date/cit:CI_Date/cit:date/gco:DateTime !=''">Populate the
                metadataStandard DateTime element; value should be 19115-3 publication date</sch:assert>
            <sch:assert
                test="./cit:date/cit:CI_Date/cit:dateType/cit:CI_DateTypeCode[text()='publication']"
                >Populate the metadataStandard CI_DateTypeCode element with
                'publication'</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="a0654ca2-1252-11e2-892e-0800200c9a66">
        <sch:title>Check that metadata scope element exists</sch:title>
        <sch:rule context="/mdb:MD_Metadata">
            <sch:assert
                test="./mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode"
                >Add the metadataScope element</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="a0653ca2-1252-11e2-892e-0800200c9a66">
        <sch:title>Check that metadata scope element is populated</sch:title>
        <sch:rule context="/*/mdb:metadataScope">
            <sch:assert
                test="(./mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='activity' or text()='application' or text()='collection' or text()='collectionHardware' or text()='dataset' or text()='document' or text()='documentPhysical' or text()='metadata' or text()='nonGeographicDataset' or text()='sample' or text()='series' or text()='seriesPhysical' or text()='service']) or (./@gco:nilReason)"
                >Populate the resource scope code with one of the following EIP ScopeCode values:
                ‘activity’, ‘application’, 'collection', ‘collectionHardware’, ‘dataset’,
                'document', ‘documentPhysical’, 'metadata', 'nonGeographicDataset', ‘sample’,
                ‘series’, ‘seriesPhysical’, 'service'</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="f0653ca0-1252-11e2-892e-0800200c9a66">
        <sch:title>Resource citation checks</sch:title>
        <sch:rule context="/*/mdb:identificationInfo/mri:MD_DataIdentification">
            <sch:assert test="./mri:citation/cit:CI_Citation/cit:title/gco:CharacterString !=''">Add
                and/or populate resource citation title</sch:assert>
            <sch:assert
                test="./mri:citation/cit:CI_Citation/cit:date/cit:CI_Date//cit:date/gco:DateTime !=''"
                >Add and/or populate resource citation DateTime element</sch:assert>
            <sch:assert
                test="./mri:citation/cit:CI_Citation/cit:date/cit:CI_Date//cit:dateType/cit:CI_DateTypeCode != ''"
                >Add and/or populate resource citation DateTypeCode element</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="ba761f10-14ac-11e2-892e-0800200c9a66">
        <sch:title>Check for populated resource identifier</sch:title>
        <sch:rule context="/*/mdb:identificationInfo/mri:MD_DataIdentification">
            <sch:assert
                test="./mri:citation/cit:CI_Citation/cit:identifier/mcc:MD_Identifier/mcc:code/gco:CharacterString != '' or ./mri:citation/cit:CI_Citation/cit:identifier/@gco:nilReason"
                >Add and/or populate the resource identifier code element or add the gco:nilreason
                attribute to the identifier element and populate with one of the following valid
                values: 'missing', 'inapplicable', 'template', 'unknown', or 'withheld'</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="d2c3a062-0984-11e2-892e-0800200c9a66">
        <sch:title>Checks for resource citedResponsibleParty</sch:title>
        <sch:rule
            context="/*/mdb:identificationInfo/mri:MD_DataIdentification/mri:citation/cit:CI_Citation">
            <sch:assert
                test="(./cit:citedResponsibleParty/cit:CI_Responsibility/cit:party/cit:CI_Organisation/cit:name/gco:CharacterString != '' or ./cit:citedResponsibleParty/cit:CI_Responsibility/cit:party/cit:CI_Individual/cit:name/gco:CharacterString != '')"
                >Add an CI_Organisation/name or CI_Individual/name element or a nilReason attribute to cited responsible 
                party.</sch:assert>
            <sch:assert
                test="(./cit:citedResponsibleParty/*//cit:contactInfo/cit:CI_Contact/cit:phone/cit:CI_Telephone/cit:number/gco:CharacterString != '' or ./cit:citedResponsibleParty/*//cit:contactInfo/cit:CI_Contact/cit:address/cit:CI_Address/cit:electronicMailAddress/gco:CharacterString != '')"
                >Populate the phone or email element in cited responsible party. If the 
                party has no contact information (e.g. deceased) use nilReason="inapplicable" 
                on the containing contactInfo element</sch:assert>
            <sch:assert
                test="(./cit:citedResponsibleParty/cit:CI_Responsibility/cit:role/cit:CI_RoleCode !='' or ./cit:citedResponsibleParty/cit:CI_Responsibility/cit:role[@gco:nilReason = 'missing' or @gco:nilReason = 'inapplicable' or @gco:nilReason = 'template' or @gco:nilReason = 'unknown' or @gco:nilReason = 'withheld'])"
                >Populate the role element in cited responsible party or add attribute 'gco:nilReason' to
                the role element and populate with one of the following valid values: 'missing',
                'inapplicable', 'template', 'unknown', or 'withheld'</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a061-0934-11e2-892x-0800200c9a66">
        <sch:title>Check for data resource abstract</sch:title>
        <sch:rule context="/*/mdb:identificationInfo/mri:MD_DataIdentification">
            <sch:assert test="./mri:abstract/gco:CharacterString !=''">Provide a useful description of the resource in the
                identificationInfo abstract element</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a061-0984-11e2-892x-0800200c9a66">
        <sch:title>Check for resource status progress code</sch:title>
        <sch:rule context="/*//mdb:identificationInfo/mri:MD_DataIdentification">
            <sch:assert test="./mri:status/mri:MD_ProgressCode !='' or ./mri:status/@gco:nilReason"
                >Populate the data identification status/progressCode element or add the
                gco:nilReason attribute to the status element</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="d2c3a062-7984-11e2-892e-0800200c9a66">
        <sch:title>Checks for resource point of contact</sch:title>
        <sch:rule context="/*/mdb:identificationInfo/mri:MD_DataIdentification">
            <sch:assert
                test="(./mri:pointOfContact/cit:CI_Responsibility/cit:party/cit:CI_Organisation/cit:name/gco:CharacterString != '' or ./mri:pointOfContact/cit:CI_Responsibility/cit:party/cit:CI_Individual/cit:name/gco:CharacterString  != '' or 
                ./cit:CI_Responsibility/cit:party/cit:CI_Individual/cit:positionName/gco:CharacterString  != '') >= 1"
                >Add and/or populate CI_Organisation/name, CI_Individual/name, CI_Individual/positionName element 
                or a gco:nilReason attribute in resource pointOfContact</sch:assert>
            <sch:assert
                test="(./mri:pointOfContact/cit:CI_Responsibility/cit:party/*/cit:contactInfo/cit:CI_Contact/cit:phone/cit:CI_Telephone/cit:number/gco:CharacterString !='' or ./mri:pointOfContact/cit:CI_Responsibility/cit:party/*/cit:contactInfo/cit:CI_Contact/cit:address/cit:CI_Address/cit:electronicMailAddress/gco:CharacterString !='')"
                >Populate phone or email element or provide gco:nilReason in resource pointOfContact</sch:assert>
            <sch:assert
                test="./mri:pointOfContact/cit:CI_Responsibility/cit:role/cit:CI_RoleCode !='' or ./mri:pointOfContact/cit:CI_Responsibility/cit:role/@gco:nilReason"
                >Populate role code element in resource pointOfContact or add the gco:nilReason
                attribute to the role element</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a061-0944-11e2-892x-0800200c9a66">
        <sch:title>Check for resource content topic</sch:title>
        <sch:rule context="/*">
            <sch:report
                test="./mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='dataset' or text()='series'] and ./mdb:identificationInfo/mri:MD_DataIdentification/mri:topicCategory/mri:MD_TopicCategoryCode =''"
                >Topic Category code is mandatory in identificationInfo element</sch:report>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a061-0933-11e2-492x-0800200c9a66">
        <sch:title>Check for resource constraints</sch:title>
        <sch:rule context="/*/mdb:identificationInfo/mri:MD_DataIdentification">
            <sch:assert
                test="./mri:resourceConstraints/mco:reference/cit:CI_Citation/cit:title/gco:CharacterString !=''"
                >Add and/or populate the reference title for a resource constraint citation</sch:assert>
            <sch:assert
                test="(./mri:resourceConstraints/mco:MD_LegalConstraints/mco:accessConstraints/mco:MD_RestrictionCode[text()='acknowledge' or text()='confidential' or text()='copyright' or text()='intellectualPropertyRights' or text()='licence' or text()='patent' or text()='patentPending' or text()='trademark' or text()='unrestricted' or text()='otherRestrictions']) or (./mri:resourceConstraints/mco:MD_LegalConstraints/mco:useConstraints/mco:MD_RestrictionCode[text()='acknowledge' or text()='confidential' or text()='copyright' or text()='intellectualPropertyRights' or text()='licence' or text()='patent' or text()='patentPending' or text()='trademark' or text()='unrestricted' or text()='otherRestrictions'])"
                >Add and/or populate the accessConstraints RestrictionCode or the useConstraint
                RestrictionCode. Valid RestrictionCode values include: ‘acknowledge’,
                ‘confidential’, ‘copyright’, ‘intellectualPropertyRights’, ‘licence’, ‘patent’,
                ‘patentPending’, ‘trademark’, ‘unrestricted’, ‘otherRestrictions’</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="d2c3v062-7984-11e2-892e-0800200c9a66">
        <sch:title>Checks for resource distributor contact</sch:title>
        <sch:rule
            context="/*/mdb:distributionInfo/mrd:MD_Distribution/mrd:distributor/mrd:MD_Distributor">
            <sch:assert
                test="((./mrd:distributorContact/cit:CI_Responsibility/cit:party/cit:CI_Organisation/cit:name/gco:CharacterString !='' or ./mrd:distributorContact/cit:CI_Responsibility/cit:party/cit:CI_Individual/cit:name/gco:CharacterString  != '' or 
                ./cit:CI_Responsibility/cit:party/cit:CI_Individual/cit:positionName/gco:CharacterString  != '') >= 1) or ./mrd:distributorContact/@gco:nilReason"
                >Populate CI_Organisation/name or CI_Individual/name or CI_Individual/positionName element in
                distributor Contact</sch:assert>
            <sch:assert
                test="(./mrd:distributorContact/cit:CI_Responsibility/cit:party/*/cit:contactInfo/cit:CI_Contact/cit:phone/cit:CI_Telephone/cit:number/gco:CharacterString !='' or ./mrd:distributorContact/cit:CI_Responsibility/cit:party/*/cit:contactInfo/cit:CI_Contact/cit:address/cit:CI_Address/cit:electronicMailAddress/gco:CharacterString !='')"
                >Populate phone or email element or add gco:nilReason attribute in distributor Contact</sch:assert>
            <sch:assert
                test="./mrd:distributorContact/cit:CI_Responsibility/cit:role/cit:CI_RoleCode !='' or ./mrd:distributorContact/cit:CI_Responsibility/cit:role/@gco:nilReason"
                >Populate role code element in distributorContact or add gco:nilReason attribute to
                role.</sch:assert>
        </sch:rule>
    </sch:pattern>
    <!-- Digital Product Rules - These rules are applied when the metadata scope code is 'metadata', 'nonGeographicDataset', 'application', 'series', 'software', 'dataset' or document  -->
    <sch:pattern id="b3f3a061-0984-11e2-892x-0800200c9a66">
        <sch:title>Check for digital product format name</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='metadata' or text()='nonGeographicDataset' or text()='application' or text()='series' or text()='dataset' or text()='document']">
            <sch:assert
                test="//mdb:distributionInfo/mrd:MD_Distribution/mrd:distributionFormat/mrd:MD_Format/mrd:formatSpecificationCitation/cit:CI_Citation/cit:title/gco:CharacterString !=''"
                >Add and/or populate the title element in the
                '/MD_Distribution/distributionFormat/MD_Format/formatSpecificationCitation/CI_Citation'
                object</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b3f3a061-1984-11e2-892x-0800200c9a66">
        <sch:title>Check for digital product version</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='metadata' or text()='nonGeographicDataset' or text()='application' or text()='series' or text()='dataset' or text()='document']">
            <sch:assert
                test="//mdb:distributionInfo/mrd:MD_Distribution/mrd:distributionFormat/mrd:MD_Format/mrd:amendmentNumber/gco:CharacterString !=''"
                >Add and/or populate the amendmentNumber element in the
                '/MD_Distribution/distributionFormat/MD_Format' object or add gco:nilReason
                attribute to amendmentNumber element.</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b4f3a071-0984-11e2-892x-0800200c9a66">
        <sch:title>Check for the existence of an onLine or offLine access object</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='metadata' or text()='nonGeographicDataset' or text()='application' or text()='series' or text()='dataset' or text()='document']">
            <sch:assert
                test="count(//mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:onLine) + count(//mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:offLine) >= 1"
                >An offline or online element is required in the
                '/MD_Distribution/transferOptions/MD_DigitalTransferOptions' object. Add an onLine
                element for products accessed via a URL. Add an offLine element for products not
                directly accessed via the internet.</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b3f3a071-0984-11e2-892x-0800200c9a66">
        <sch:title>Checks for offLine digital product access</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='metadata' or text()='nonGeographicDataset' or text()='application' or text()='series' or text()='dataset' or text()='document']">
            <sch:report
                test="//mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:offLine and not(//mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:offLine/mrd:MD_Medium/mrd:name/cit:CI_Citation/cit:title)"
                >Add a title element to the
                '//MD_Distribution/transferOptions/MD_DigitalTransferOptions/offLine/MD_Medium/name/CI_Citation'
                object. This title is used to specify the offline access medium type, such as
                cdROM.</sch:report>
            <sch:report
                test="//mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:offLine and //mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:offLine/mrd:MD_Medium/mrd:name/cit:CI_Citation/cit:title/gco:CharacterString =''"
                >Populate the title/gco:CharacterString element in the
                '/MD_Distribution/transferOptions/MD_DigitalTransferOptions/offLine/MD_Medium/name/CI_Citation'
                object.</sch:report>
            <sch:report
                test="//mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:offLine and not(//mrd:distributor/mrd:MD_Distributor/mrd:distributionOrderProcess/mrd:MD_StandardOrderProcess/mrd:orderingInstructions)"
                >Add a orderingInstructions element to the
                '/MD_Distribution/distributor/../MD_StandardOrderProcess'
                object. Ordering instruction are required to describe the process steps for
                accessing offline digital products.</sch:report>
            <sch:report
                test="//mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:offLine and //mrd:distributor/mrd:MD_Distributor/mrd:distributionOrderProcess/mrd:MD_StandardOrderProcess/mrd:orderingInstructions/gco:CharacterString =''"
                >Populate the orderingInstructions/gco:CharacterString element in the
                '/MD_Distribution/distributor/MD_Distributor/distributionOrderProcess/MD_StandardOrderProcess'
                object.</sch:report>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b3f3a071-0984-11e2-872x-0800200c9a66">
        <sch:title>Checks for onLine digital product access</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='metadata' or text()='nonGeographicDataset' or text()='application' or text()='series' or text()='dataset' or text()='document']">
            <sch:assert
                test="//mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:onLine and //mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:onLine/cit:CI_OnlineResource/cit:linkage/gco:CharacterString !=''"
                >Add and/or populate the linkage element in the
                '/MD_Distribution/transferOptions/MD_DigitalTransferOptions/onLine/CI_OnlineResource'
                object. The linkage element contains the URL for accessing the online
                resource.</sch:assert>
            <sch:assert
                test="//mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:onLine and //mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:onLine/cit:CI_OnlineResource/cit:function/cit:CI_OnLineFunctionCode !=''"
                >Add and/or populate the function code element in the
                '/MD_Distribution/transferOptions/MD_DigitalTransferOptions/onLine/CI_OnlineResource/function'
                object.</sch:assert>
            <sch:report
                test="not (//mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:onLine/cit:CI_OnlineResource/cit:protocol ) and //mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:onLine/cit:CI_OnlineResource/cit:function/cit:CI_OnLineFunctionCode[text()='information']"
                >Add and populate the protocol/gco:CharacterString element to the
                '/MD_Distribution/transferOptions/MD_DigitalTransferOptions
                /onLine/CI_OnlineResource' object.</sch:report>
        </sch:rule>
    </sch:pattern>
    <!-- Physical Product Rules - These rules are applied when the metadata scope code is 'collectionHardware', 'sample', 'documentPhysical' and 'seriesPhysical' -->
    <sch:pattern id="b3c3a061-0984-11e2-892x-0800200c9a66">
        <sch:title>Check for physical product format name</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='collectionHardware' or text()='sample' or text()='documentPhysical' or text()='seriesPhysical']">
            <sch:assert
                test="//mdb:distributionInfo/mrd:MD_Distribution/mrd:distributionFormat/mrd:MD_Format/mrd:formatSpecificationCitation/cit:CI_Citation/cit:title/gco:CharacterString !=''"
                >Add the physical product format name to the format citation title
                element</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b3f3a071-0984-11e8-892x-0800200c9a66">
        <sch:title>Check for physical product ordering instructions</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='collectionHardware' or text()='sample' or text()='documentPhysical' or text()='seriesPhysical']">
            <sch:assert
                test="//mrd:distributor/mrd:MD_Distributor/mrd:distributionOrderProcess/mrd:MD_StandardOrderProcess/mrd:orderingInstructions/gco:CharacterString !=''"
                >Add orderingInstructions to the StandardOrderProcess object. Ordering instruction
                are required to describe the process steps for aquiring physical
                products</sch:assert>
        </sch:rule>
    </sch:pattern>
    <!-- Digital Service Rules -  These rules are applied when the metadata scope code is 'service' -->
    <sch:pattern id="b2f3a061-1984-11e2-892x-0800200d9a66">
        <sch:title>Checks for service identification section</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='service']">
            <sch:assert test="//srv:SV_ServiceIdentification">Add a '/ServiceIdentification' object.
                ServiceIdentification is required when MD_ScopeCode is 'service'</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a061-1984-11e2-892x-0800200c9a66">
        <sch:title>Checks for service type</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='service']">
            <sch:report test="not(//srv:serviceType/gco:LocalName)">Add a local name element to the
                '/ServiceIdentification/serviceType' object</sch:report>
            <sch:report test="//srv:serviceType/gco:LocalName =''">Populate the local name element
                in the '/ServiceIdentification/serviceType' object</sch:report>
            <sch:report test="not(//srv:serviceType/gco:LocalName/@codeSpace)">Add the namespace
                attribute to the '/ServiceIdentification/serviceType' element</sch:report>
            <sch:report test="//srv:serviceType/gco:LocalName/@codeSpace =''">Populate the namespace
                attribute in the '/ServiceIdentification/serviceType' element with a service type
                identifier</sch:report>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f4a061-1984-11e2-892x-0810200c9a66">
        <sch:title>Checks for coupled datasets</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='service']">
            <sch:report
                test="not(//srv:SV_ServiceIdentification/srv:couplingType/srv:SV_CouplingType)">Add
                a couplingType element to the 'SV_ServiceIdentification' object</sch:report>
            <sch:report
                test="//srv:SV_ServiceIdentification/srv:couplingType/srv:SV_CouplingType =''"
                >Populate the couplingType element in the 'SV_ServiceIdentification'
                object</sch:report>
            <sch:report
                test="//srv:SV_ServiceIdentification/srv:couplingType/srv:SV_CouplingType[text()='tight' or text()='mixed'] and not(//srv:SV_ServiceIdentification/srv:operatesOn/mri:MD_DataIdentification/mri:citation/cit:CI_Citation/cit:title)"
                >Add a title element to the
                'SV_ServiceIdentification/operatesOn/MD_DataIdentification/citation/CI_Citation'
                object</sch:report>
            <sch:report
                test="//srv:SV_ServiceIdentification/srv:couplingType/srv:SV_CouplingType[text()='tight' or text()='mixed'] and //srv:SV_ServiceIdentification/srv:operatesOn/mri:MD_DataIdentification/mri:citation/cit:CI_Citation/cit:title/gco:CharacterString =''"
                >Populate the title element in the
                'SV_ServiceIdentification/operatesOn/MD_DataIdentification/citation/CI_Citation'
                object</sch:report>
            <sch:report
                test="//srv:SV_ServiceIdentification/srv:couplingType/srv:SV_CouplingType[text()='tight' or text()='mixed'] and not(//srv:SV_ServiceIdentification/srv:operatesOn/mri:MD_DataIdentification/mri:citation/cit:CI_Citation/cit:identifier/mcc:MD_Identifier/mcc:code)"
                >Add a code element to the
                'SV_ServiceIdentification/operatesOn/MD_DataIdentification/rmd:citation/CI_Citation/identifier/MD_Identifier'
                object</sch:report>
            <sch:report
                test="//srv:SV_ServiceIdentification/srv:couplingType/srv:SV_CouplingType[text()='tight' or text()='mixed'] and //srv:SV_ServiceIdentification/srv:operatesOn/mri:MD_DataIdentification/mri:citation/cit:CI_Citation/cit:identifier/mcc:MD_Identifier/mcc:code/gco:CharacterString =''"
                >Populate the code element in the
                'SV_ServiceIdentification/operatesOn/MD_DataIdentification/rmd:citation/CI_Citation/identifier/MD_Identifier'
                object</sch:report>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a061-1984-11e2-892x-0810200c9a66">
        <sch:title>Check for service distribution linkage</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='service']">
            <sch:report
                test="not(//mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:onLine/cit:CI_OnlineResource/cit:linkage/gco:CharacterString)"
                >Add a linkage element to the
                '/MD_Distribution/transferOptions/MD_DigitalTransferOptions/onLine/CI_OnlineResource'
                object</sch:report>
            <sch:assert
                test="//mrd:MD_Distribution/mrd:transferOptions/mrd:MD_DigitalTransferOptions/mrd:onLine/cit:CI_OnlineResource/cit:linkage/gco:CharacterString !=''"
                >Populate the linkage element in the
                '/MD_Distribution/transferOptions/MD_DigitalTransferOptions/onLine/CI_OnlineResource'
                object</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a061-1964-11e2-892x-0810200c9a66">
        <sch:title>Checks for service operations</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='service']">
            <sch:report
                test="not(//srv:containsOperations/srv:SV_OperationMetadata/srv:operationName)">Add
                the operationName element to the
                '/SV_ServiceIdentification/containsOperations/SV_OperationMetadata'
                object</sch:report>
            <sch:report
                test="//srv:containsOperations/srv:SV_OperationMetadata/srv:operationName/gco:CharacterString =''"
                >Populate the operationName element in the
                '/SV_ServiceIdentification/containsOperations/SV_OperationMetadata'
                object</sch:report>
            <sch:report
                test="not(//srv:containsOperations/srv:SV_OperationMetadata/srv:distributedComputingPlatform/srv:DCPList)"
                >Add a DCPList element to the
                '/SV_ServiceIdentification/containsOperations/SV_OperationMetadata/DCP'
                object</sch:report>
            <sch:report
                test="//srv:containsOperations/srv:SV_OperationMetadata/srv:distributedComputingPlatform/srv:DCPList =''"
                >Populate the DCPList element in the
                '/SV_ServiceIdentification/containsOperations/SV_OperationMetadata/DCP'
                object</sch:report>
            <sch:report
                test="not(//srv:containsOperations/srv:SV_OperationMetadata/srv:connectPoint/cit:CI_OnlineResource/cit:linkage)"
                >Add a linkage element to the
                '/SV_ServiceIdentification/containsOperations/SV_OperationMetadata/connectPoint/CI_OnlineResource'
                object</sch:report>
            <sch:report
                test="//srv:containsOperations/srv:SV_OperationMetadata/srv:connectPoint/cit:CI_OnlineResource/cit:linkage/gco:CharacterString =''"
                >Populate the linkage element in the
                '/SV_ServiceIdentification/containsOperations/SV_OperationMetadata/connectPoint/CI_OnlineResource/URL'
                object</sch:report>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a061-1967-11e2-892x-0810200c9a66">
        <sch:title>Checks for coupled resource references</sch:title>
        <sch:rule context="//srv:SV_ServiceIdentification/srv:coupledResource">
            <sch:assert test="srv:SV_CoupledResource/srv:resourceReference/@xlink:href">Add and or
                populate the srv:SV_CoupledResource/srv:resourceReference/@xlink:href
                attribute</sch:assert>
            <sch:assert test="srv:SV_CoupledResource/srv:operation/@xlink:href">Add and or populate
                the srv:SV_CoupledResource/srv:operation/@xlink:href attribute</sch:assert>
        </sch:rule>
    </sch:pattern>
    <!-- Collection Rules (formally Activity) -  These rules are applied when the metadata scope code is 'collection' -->
    <sch:pattern id="b2f3a061-1964-11e2-892x-0810200c9a67">
        <sch:title>Check for DataIdentification or ServiceIdentification</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='collection']">
            <sch:assert test="//mri:MD_DataIdentification or //srv:SV_ServiceIdentification">Add an
                MD_DataIdentification object or SV_ServiceIdentification object. DataIdentification
                or ServiceIdentification is required when MD_ScopeCode is 'collection'</sch:assert>
        </sch:rule>
    </sch:pattern>
    <!-- Geographic Rules - These rules are applied when the metadata scope code is dataset or nonGeographicDataset -->
    <sch:pattern id="b2f3a061-1963-11e2-892x-0810200c9a67">
        <sch:title>Check for geographic bounding box when scope code is 'dataset'</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='dataset']">
            <sch:assert test="//gex:geographicElement/gex:EX_GeographicBoundingBox">Add an
                EX_GeographicBoundingBox object to
                /mri:MD_DataIdentification/mri:extent/gex:EX_Extent/gex:geographicElement. A
                GeographicBoundingBox is required when the ScopeCode is dataset</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b2f3a061-1963-11e2-892x-0810200f9a67">
        <sch:title>Check for geographic bounding box when scope code is
            'nonGeographicDataset'</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='nonGeographicDataset']">
            <sch:report test="//gex:geographicElement/gex:EX_GeographicBoundingBox">Remove the
                EX_GeographicBoundingBox object in MD_DataIdentification or modify the scopeCode
                value. A GeographicBoundingBox is not permitted when the ScopeCode is
                nonGeographicDataset</sch:report>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="b38aad90-29fb-11e2-81c1-0800200c9a66">
        <sch:title>Check for spatial reference specification</sch:title>
        <sch:rule context="/mdb:MD_Metadata/mdb:spatialRepresentationInfo">
            <sch:assert
                test="//mdb:referenceSystemInfo/mrs:MD_ReferenceSystem/mrs:referenceSystemIdentifier/mcc:MD_Identifier/mcc:code/gco:CharacterString !=''"
                >Add and/or populate the code element in referenceSystemIdentifier
                object</sch:assert>
            <sch:assert
                test="//mdb:referenceSystemInfo/mrs:MD_ReferenceSystem/mrs:referenceSystemIdentifier/mcc:MD_Identifier/mcc:codeSpace/gco:CharacterString !=''"
                >Add and/or populate the codeSpace element in referenceSystemIdentifier
                object</sch:assert>
            <sch:report
                test="(//mdb:referenceSystemInfo/mrs:MD_ReferenceSystem/mrs:referenceSystemIdentifier/mcc:MD_Identifier/mcc:codeSpace) and not(//mdb:referenceSystemInfo/mrs:MD_ReferenceSystem/mrs:referenceSystemIdentifier/mcc:MD_Identifier/mcc:version)"
                >Add the version element in referenceSystemIdentifier object. A version numbers
                should exist for each reference system codeSpace</sch:report>
            <sch:report
                test="//mdb:referenceSystemInfo/mrs:MD_ReferenceSystem/mrs:referenceSystemIdentifier/mcc:MD_Identifier/mcc:version/gco:CharacterString =''"
                >Populate the version element in referenceSystemIdentifier object.</sch:report>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="c38aad90-29fb-11e2-81c1-0800200c9a66">
        <sch:title>checks for spatial extent</sch:title>
        <sch:rule
            context="/*/mdb:metadataScope/mdb:MD_MetadataScope/mdb:resourceScope/mcc:MD_ScopeCode[text()='dataset']">
            <sch:assert
                test="//gex:geographicElement/gex:EX_GeographicBoundingBox/gex:westBoundLongitude/gco:Decimal !=''"
                >Add and/or populate the westBoundLongitude element in the GeographicBoundingBox
                object</sch:assert>
            <sch:assert
                test="//gex:geographicElement/gex:EX_GeographicBoundingBox/gex:eastBoundLongitude/gco:Decimal !=''"
                >Add and/or populate the eastBoundLongitude element in the GeographicBoundingBox
                object</sch:assert>
            <sch:assert
                test="//gex:geographicElement/gex:EX_GeographicBoundingBox/gex:northBoundLatitude/gco:Decimal !=''"
                >Add and/or populate the southBoundLongitude element in the GeographicBoundingBox
                object</sch:assert>
            <sch:assert
                test="//gex:geographicElement/gex:EX_GeographicBoundingBox/gex:southBoundLatitude/gco:Decimal !=''"
                >Add and/or populate the northBoundLongitude element in the GeographicBoundingBox
                object</sch:assert>
        </sch:rule>
    </sch:pattern>
    <sch:pattern id="d38aad90-29fb-11e2-81c1-0800200c9a66">
        <sch:title>checks for spatial resolution</sch:title>
        <sch:rule context="/*/mdb:spatialRepresentationInfo/msr:MD_GridSpatialRepresentation">
            <sch:report
                test="(//mri:MD_SpatialRepresentationTypeCode ='vector') and (not(//mri:spatialResolution/mri:MD_Resolution/mri:distance/gco:Distance))"
                >Add and populate the
                MD_DataIdentification/mri:spatialResolution/mri:MD_Resolution/mri:distance/gco:Distance
                element. The gco:Distance element must be populated when the
                mri:MD_SpatialRepresentationTypeCode is 'vector'.</sch:report>
            <sch:report
                test="(//mri:MD_SpatialRepresentationTypeCode ='grid') and (not(//mri:spatialResolution/mri:MD_Resolution/mri:equivalentScale/mri:MD_RepresentativeFraction/mri:denominator/gco:Integer))"
                >Add and populate the MD_DataIdentification/mri:spatialResolution/mri:MD_Resolution/ mri:equivalentScale/ 
                mri:MD_RepresentativeFraction/ mri:denominator/gco:Integer element. The gco:Integer element must be populated 
                when the mri:MD_SpatialRepresentationTypeCode is 'grid'.</sch:report>
            <sch:report
                test="//mri:spatialResolution/mri:MD_Resolution/mri:distance/gco:Distance/@uom =''"
                >Add and populate the 'uom' attribute (unit of measure) in the MD_Resolution
                Distance element</sch:report>
        </sch:rule>
    </sch:pattern>
</sch:schema>
